/**
* AJAX support functions. 
* 
* @package Calendar
* @subpackage Orthodox calendar
* @category AJAX
* @author Misa Brezanac <brezanac@gmail.com>
* @copyright http://creativecommons.org/licenses/by-nc-sa/3.0/rs/
*/
function createRequestObject() {
    try{
        // Firefox, Opera 8.0+ ili Safari
        xmlHttp=new XMLHttpRequest();
    } catch (e){
        // Internet Explorer
        try{
            xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");
        }       
        catch (e){
            try{
                xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");
            }         
            catch (e){
                alert("Vas browser ne podrzava AJAX!");
                return false;
            }         
        }
    }
    return xmlHttp;
}

function makeAJAXRequest(method, url){
    var xmlHttp;
    
    if(xmlHttp = createRequestObject()){
        xmlHttp.onreadystatechange=function(){
            if(xmlHttp.readyState == 4){
                if(xmlHttp.status == 200){
                    var xmlDoc = xmlHttp.responseXML;
                    var pageElements = xmlDoc.getElementsByTagName("container"); 
                    for(var x=0; x < pageElements.length; x++){
                        var title = pageElements[x].childNodes[0].firstChild.nodeValue;
                        var content = pageElements[x].childNodes[1].firstChild.nodeValue; 
                        document.getElementById(title).innerHTML = content;
                    }
                }
            }    
        }
    
        xmlHttp.open(method,url,true); //sending the request
        xmlHttp.send(null);  
    }
}       