<?php
/**
 * 'Orthodox calendar' language file: serbian [latin]
 * 
 * @package Calendar
 * @subpackage Orthodox calendar
 * @category Language
 * @author Misa Brezanac <brezanac@gmail.com>
 * @copyright http://creativecommons.org/licenses/by-nc-sa/3.0/rs/
*/
return array(
    /**
    * [MySQL connection]
    */
    'db_mysql_unable_to_connect' => '[MySQL konekcija]: Server baze nedostupan',
    'db_mysql_unable_to_select_db' => '[MySQL konekcija]: Greška prilikom pokušaja odabira baze',
    'db_mysql_query_unsuccessful' => "[MySQL konekcija]: Upit bazi neuspešan",

    /**
    * [MySQLi connection]
    */
    'db_mysqli_unable_to_connect' => '[MySQLi konekcija]: Server baze nedostupan',
    'db_mysqli_unable_to_select_db' => '[MySQLi konekcija]: Greška prilikom pokušaja odabira baze',
    'db_mysqli_query_unsuccessful' => '[MySQLi konekcija]: Upit bazi neuspešan', 

    /**
    * [File-system related errors]
    */
    'fs_error_log_file_unable_to_write' => '[Fajl sistem]: Pokušaj da se izvrši zapis u log fajl nije uspeo',
    
    /**
    * [AJAX]
    */
    'ajax_calendar_no_parameter' => '[AJAX]: Izostao validan GET/POST parametar pri pozivu kalendara',
    
    /**
    * [Page request]
    */
    'form_paramaters_non_existant' => '[Mesečni pregled]: Prosleđeni parametri forme nisu validni',
    'details_data_not_present' => '[Pregled detalja]: Parametri neophodni za određivanje detalja nisu proseđeni',
    'details_date_is_invalid' => '[Pregled detalja] Prosleđeni parametri datuma za detalje nisu ispravni',
    
    /**
    * [View templates]
    */
    'view_template_does_not_exist' => '[Učitavanje šablona]: Zahtevani šablon za prikaz nije pronađen',
    
    /**
    * [Other]
    */
    'db_get_fomatted_results_invalid_type' => '[getFomattedResults]: Nedozvoljen zahtevan povratni tip rezultata'
);
?>
