<?php 
/**
 * View template file for the complete 'infoPanel' display.
 * 
 * @package Calendar
 * @subpackage Orthodox calendar
 * @category Templates
 * @author Misa Brezanac <brezanac@gmail.com>
 * @copyright http://creativecommons.org/licenses/by-nc-sa/3.0/rs/
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Testni template</title>
    <link href="css/stylesheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <div id="infoPanel">
        <div id="infoPanelHeader">
            <table width="100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td width="96%" align="center">
                        <a href="fetchDetails.php?day=<?php 
                            echo $this->viewData['prevDetailsDay']; ?>&amp;month=<?php 
                            echo $this->viewData['prevDetailsMonth']; ?>&amp;year=<?php
                            echo $this->viewData['prevDetailsYear']; ?>" onclick="switchDetails(<?php
                            echo $this->viewData['prevDetailsDay']; ?>,<?php 
                            echo $this->viewData['prevDetailsMonth']; ?>,<?php 
                            echo $this->viewData['prevDetailsYear']; ?>); return false;"><< Претходни</a>
                        <strong>[ <?php echo $this->viewData['headerTitle']; ?> ] </strong>
                        <a href="fetchDetails.php?day=<?php 
                            echo $this->viewData['nextDetailsDay']; ?>&amp;month=<?php
                            echo $this->viewData['nextDetailsMonth']; ?>&amp;year=<?php 
                            echo $this->viewData['nextDetailsYear']; ?>" onclick="switchDetails(<?php 
                            echo $this->viewData['nextDetailsDay']; ?>,<?php 
                            echo $this->viewData['nextDetailsMonth']; ?>,<?php 
                            echo $this->viewData['nextDetailsYear']; ?>); return false;">Следећи >></a>
                    </td>
                    <td width="4%" align="center">
                    <a 0href="javascript:void(0)" title="Кликните овде да затворите прозор" onclick="displayInfoPanel(false)" onmouseout="MM_swapImgRestore()" onmouseover="MM_swapImage('zatvori','','images/close_high.png',1)"><img src="images/close.png" alt="[X]" name="zatvori" width="20" height="20" border="0" id="zatvori" /></a></td>
                </tr>
            </table>
        </div>
        <div id="infoPanelContentContainer">
            <div class="padding10px">
                <div id="infoPanelMainContent">
                    <h2><?php echo $this->viewData['day']; ?>.<?php echo $this->viewData['month']; ?>.<?php echo $this->viewData['year']; ?></h2>
                    <h1<?php echo $this->viewData['isRedLetter']; ?>><?php echo $this->viewData['title']; ?></h1>
                    <img id="picture" src="<?php echo $this->viewData['picture']; ?>" alt="<?php echo $this->viewData['picAlt']; ?>" width="200" height="266" /><?php
                        echo $this->viewData['description'];
                    ?>
                </div>
            </div>
        </div>
        <div class="copyright" id="infoPanelFooter">Сва права задржана 2008 <strong><a href="http://www.pakibitija.com">Пакибитија</a></strong></div>
    </div>
</body>
</html>